.books {
	display: block;
	margin: auto;
	padding: var(--space-m);
	max-width: var(--max-width);
}

.book {
	display: block;
	position: relative;
	margin-bottom: var(--space-m);
}

.book:last-of-type {
	margin-bottom: 0;
}

.book_link {
	user-select: none;
}

.book_images {
	position: relative;
	aspect-ratio: 4/3;
	width: 100%;
}

.book_images picture {
	border-radius: var(--border-radius);
	overflow: hidden;
}

.book_images picture:nth-child(2) {
	position: absolute;
	top: 0;
	left: 0;
	opacity: 0;
	transition: opacity var(--anim-speed) var(--anim-ease);
	width: 100%;
	height: 100%;
}

@media (hover: hover) {
	.book_link:hover .book_images picture:nth-child(2) {
		opacity: 1;
	}
}

.book_images img {
	object-fit: cover;
	object-position: center;
}

.book_title {
	margin-top: var(--space-gap);
	margin-bottom: 2px;
}

@media (min-width: 640px) {
	.books {
		display: grid;
		grid-template-columns: repeat(2, 1fr);
		gap: var(--space-m);
	}

	.book {
		margin-bottom: 5px;
	}
}

@media (min-width: 992px) {
	.books {
		grid-template-columns: repeat(3, 1fr);
		padding: 0 var(--space-m);
	}
}
